org.apache.geode.distributed

## Enum AbstractLauncher.Status

- java.lang.Object
- - java.lang.Enum<AbstractLauncher.Status>
  - - org.apache.geode.distributed.AbstractLauncher.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractLauncher.Status>
  Enclosing class:
    AbstractLauncher<T extends java.lang.Comparable<T>>

      public static enum AbstractLauncher.Status
      extends java.lang.Enum<AbstractLauncher.Status>

  The Status enumerated type represents the various lifecycle states of a GemFire service (such as a Cache Server, a Locator or a Manager).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOT_RESPONDING`
    `ONLINE`
    `STARTING`
    `STOPPED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Gets the description of the Status enum type.
    `java.lang.String` | `toString()` Gets a String representation of the Status enum type.
    `static AbstractLauncher.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AbstractLauncher.Status` | `valueOfDescription(java.lang.String description)` Looks up the Status enum type by description.
    `static AbstractLauncher.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_RESPONDING

          public static final AbstractLauncher.Status NOT_RESPONDING

    - #### ONLINE

          public static final AbstractLauncher.Status ONLINE

    - #### STARTING

          public static final AbstractLauncher.Status STARTING

    - #### STOPPED

          public static final AbstractLauncher.Status STOPPED

  - ### Method Detail

    - #### values

          public static AbstractLauncher.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractLauncher.Status c : AbstractLauncher.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractLauncher.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOfDescription

          public static AbstractLauncher.Status valueOfDescription(java.lang.String description)

      Looks up the Status enum type by description. The lookup operation is case-insensitive.
      Parameters:
        `description` - a String value describing the Locator's status.
      Returns:
        a Status enumerated type matching the description.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the Status enum type.
      Returns:
        a String describing the Status enum type.

    - #### toString

          public java.lang.String toString()

      Gets a String representation of the Status enum type.
      Overrides:
        `toString` in class `java.lang.Enum<AbstractLauncher.Status>`
      Returns:
        a String representing the Status enum type.
      See Also:
        `getDescription()`